package cn.superdesk.uniorder.dubbo.facade.thirdpart.szhtxx.paperInvoice;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.paperInvoice.SzhtxxPaperInvoiceRedTaxInfo;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.paperInvoice.SzhtxxPaperInvoiceRedTaxInfoParam;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.paperInvoice.SzhtxxPaperInvoiceRedTaxInfoQueryCriteria;
import cn.superdesk.uniorder.dto.vo.thirdpart.szhtxx.paperInvoice.SzhtxxPaperInvoiceRedTaxInfoListItemVo;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-05-25 18:50:54
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-05-25 18:50:54
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSzhtxxPaperInvoiceRedTaxInfoService {

    /****************************************** extends BaseService 部分 start
     *
     * @param entity
     * @return******************************************/

    int insertSelective(SzhtxxPaperInvoiceRedTaxInfo entity);

    int updateByPrimaryKeySelective(SzhtxxPaperInvoiceRedTaxInfo entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    SzhtxxPaperInvoiceRedTaxInfo findById(Long id);

    @Deprecated
    PageInfo<SzhtxxPaperInvoiceRedTaxInfo> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<SzhtxxPaperInvoiceRedTaxInfo> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    int addSzhtxxPaperInvoiceRedTaxInfo(SzhtxxPaperInvoiceRedTaxInfoParam param);

    int saveOrUpdateSzhtxxPaperInvoiceRedTaxInfo(SzhtxxPaperInvoiceRedTaxInfoParam param, LoginSysUser loginSysUser);

    int updateSzhtxxPaperInvoiceRedTaxInfo(SzhtxxPaperInvoiceRedTaxInfoParam param);

    int deleteSzhtxxPaperInvoiceRedTaxInfo(Long id);

    SzhtxxPaperInvoiceRedTaxInfo findSzhtxxPaperInvoiceRedTaxInfoById(Long id);

    R<List<SzhtxxPaperInvoiceRedTaxInfo>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

    R<List<SzhtxxPaperInvoiceRedTaxInfoListItemVo>> pageQueryGenericParam(SzhtxxPaperInvoiceRedTaxInfoQueryCriteria criteria);
}
